
############# > tcc

CC = /home/sdaoden/usr/opt/tcc-mob/bin/tcc
PATH = /home/sdaoden/usr/bin:/bin:/usr/local/bin:/usr/bin:/home/sdaoden/usr/sbin:/sbin:/usr/local/sbin:/usr/sbin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl
C_INCLUDE_PATH = /home/sdaoden/usr/include:/usr/local/include:/usr/include
LD_LIBRARY_PATH = /home/sdaoden/usr/lib:/lib:/usr/local/lib:/usr/lib
LIBS =  -L/home/sdaoden/usr/lib -L/lib -L/usr/local/lib -L/usr/lib -lssl -lcrypto -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lidn -lcurses 
INCS =  -I/home/sdaoden/usr/include -I/usr/local/include -I/usr/include 

############# < tcc

PREFIX = /usr/local
BINDIR = /usr/local/bin
SBINDIR = /usr/local/sbin
LIBEXECDIR = /usr/local/libexec
MANDIR = /usr/local/share/man
SYSCONFDIR = /usr/local/etc
MAILSPOOL = /var/spool/mail
SENDMAIL = /usr/sbin/sendmail
SENDMAIL_PROGNAME = sendmail

MAILCAP_PATH = ~/.mailcap:/etc/mailcap:/usr/etc/mailcap:/usr/local/etc/mailcap
XSHELL = /bin/sh
XLISTER = ls
XPAGER = more
WANT_AUTOCC = 1
WANT_AMALGAMATION = 0
WANT_ICONV = require
WANT_SOCKETS = 1
WANT_SSL = 1
WANT_SSL_ALL_ALGORITHMS = 1
WANT_SMTP = 1
WANT_POP3 = 1
WANT_GSSAPI = 1
WANT_MD5 = 1
WANT_NETRC = 1
WANT_AGENT = 1
WANT_OPENPGP = 1
WANT_IDNA = 1
WANT_IMAP_SEARCH = 1
WANT_REGEX = require
WANT_READLINE = 0
WANT_MLE = 1
WANT_HISTORY = 1
WANT_TABEXPAND = 1
WANT_TERMCAP = 1
WANT_ERRORS = 1
WANT_SPAM_SPAMC = 1
WANT_SPAM_SPAMD = 1
WANT_SPAM_FILTER = 1
WANT_DOCSTRINGS = 1
WANT_QUOTE_FOLD = 1
WANT_MAILCAP = 1
WANT_FILTER_HTML_TAGSOUP = 1
WANT_COLOUR = 1
WANT_DOTLOCK = 1
WANT_BUILTIN_MTA = 1
WANT_BUILTIN_MTA_PREFER = 1
MAILSPOOL_GROUP = mail
SID = s-
NAIL = nail
SYSCONFRC = s-nail.rc
MTA_SYSCONFRC = s-nail-mta.rc
WANT_DEBUG = 1
WANT_NOEXTMD5 = 0
WANT_NOALLOCA = 1
WANT_DEVEL = 1
WANT_NYD2 = 1
WANT_FORCED_STACKPROT = 1
UAGENT = s-nail
PRIVSEP = $(UAGENT)-privsep
OPTIONAL_PRIVSEP = $(PRIVSEP)
MTA = $(UAGENT)-mta
OPTIONAL_MTA = $(MTA)
awk = /bin/awk
cat = /bin/cat
chmod = /bin/chmod
chown = /bin/chown
cp = /bin/cp
cmp = /bin/cmp
grep = /bin/grep
mkdir = /bin/mkdir
mv = /bin/mv
rm = /bin/rm
sed = /bin/sed
sort = /bin/sort
tee = /bin/tee
tr = /bin/tr
MAKE = make
make = make
strip = /bin/strip
cksum = /bin/cksum
CFLAGS =  -Wall -Wextra -pedantic -b -g  
LDFLAGS =   

OBJ_SRC=tty.c
AMALGAM_TARGET =
AMALGAM_DEP =


#@ "mk-mk.in" -- mk.mk template, completed by mk-conf.sh.
#@ Please see "INSTALL" and "make.rc" instead.

OBJ = $(OBJ_SRC:.c=.o)
.SUFFIXES: .o .c .y
.c.o:
	@if [ -z "$(VERBOSE)" ]; then echo '  CC $(<)';\
	else echo '  $$ $(CC) $(CFLAGS) $(INCS) -c $(<)';\
	fi;\
	$(CC) $(CFLAGS) $(INCS) -c $(<)
.c .y: ;

all: _all_echoes $(UAGENT) $(OPTIONAL_PRIVSEP) $(OPTIONAL_MTA)
_all_echoes:
	@echo 'Building..';\
	if [ -z "$(VERBOSE)" ]; then \
		echo '. CC      : $(CC)';\
		echo '. CFLAGS  : $(CFLAGS)';\
		echo '. INCS    : $(INCS)';\
		[ -n "$(LDFLAGS)" ] && echo '. LDFLAGS : $(LDFLAGS)';\
		echo '. LIBS    : $(LIBS)';\
	fi

$(UAGENT): $(OBJ) uman.1 urc.rc
	@if [ -z "$(VERBOSE)" ]; then echo '  LINK $(@)';\
	else echo '  $$ $(CC) $(LDFLAGS) -o $(@) $(OBJ) $(LIBS)';\
	fi;\
	echo $(CC) $(LDFLAGS) -o $(@) $(OBJ) $(LIBS)
	@if ( command -v size ) > /dev/null 2>&1; then size $(@); fi

$(OBJ): config.h nail.h nailfuns.h $(AMALGAM_DEP)

# s-mk-mode
